
Foreman - Feature #9336

Improve display of fact values when values are long strings

02/11/2015 11:49 AM - Richard Osborne

Status: New   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We are using custom facts to report on our server estate, for example license keys, UUID values, hardware vendors, etc.  There's

even a default fact of 'sshdsakey' which is good for demonstrating this feature request.

Example facts might be:

custom_license=HJDW-JWDD-YAPX-SDWA-WHWW-QSQQ-LEZC-MOOW-ASDA-LPWD

custom_uuid=4239A351-1DSB-DD61-E123-1C1AAADFBFF12C-ASD-SDS-WW-DD

sshdsakey=AAAAB3NzaC1kc3MsdAAACBAKJ4T9RXu0A1roWJgHkvjQ2ogGN+kScfF3ir+zqZJBDUN6L8jvJGOvI0AvjgHDEc8cp0+p

ZYJlXYeG/iLbR2wSp7VTR5WsGs8BaNl+Cr3BqBK7y6GujOH9

Foreman shows about the first 37 or so characters when displaying facts under Monitor -> Facts.  However, it's not easy to select the

full values of the facts.

When the fact is a long value, could we wrap the text within the cell so that it's displayed within the report and easy to select with a

mouse click?

So rather than:

Host     Name       Value     

host1 sshdsakey AAAB3NzaC1kc3MAAACBAI0lSZxUr19SJYxWc...          

host2 sshdsakey AAAAB3NzaC1kc3MAAACBAI1HmMbcT9x0CpXK5... 

host3 sshdsakey AAAAB3NzaC1kc3MAAACBAI3q/PnqB8KGE1l/B... 

 The page might look like:

Host     Name       Value     

host1 sshdsakey AAAAB3NzaC1kc3MAAACBAI0lSZxUr19SJYxWcKASDASDSDSDS

                KSDNSDJNCNSNCDJCNDJNSDWWDWDWDD

host2 sshdsakey AAAAB3NzaC1kc3MAAACBAI1HmMbcT9x0CpXKASDWECSCSCSCS

                ASDSVDVKOVDOKDVR*u8duvdu88ASCD 

host3 sshdsakey AAAAB3NzaC1kc3MAAACBAI3q/PnqB8KGE1l/BASDASDCSASCS

                ASDSADSDSACSCSCSSACSSCSSCSCSCC

Related issues:

Related to Foreman - Feature #9194: Enable copying fact values Closed 02/03/2015

History

#1 - 02/12/2015 04:19 AM - Dominic Cleal

- Category set to Facts
#2 - 02/13/2015 05:31 AM - Dominic Cleal

- Related to Feature #9194: Enable copying fact values added

#3 - 05/13/2015 04:45 AM - Shlomi Zadok

Fixed by #9194?

May we close this?

#4 - 05/13/2015 05:33 AM - Dominic Cleal

- Status changed from New to Duplicate

#5 - 05/13/2015 06:11 AM - Richard Osborne

- File foreman_9336_current_fact_display.PNG added

- File foreman_9336_desired_fact_display.PNG added

Hi,

I'm not sure that this is a duplicate of 9194 - this bug was really about presenting facts with long names in a single web page without the need to drill

down on each host.

I've attached two screenshots showing the current and desired state.  (Current being Katello 2.2 RC2 / Foreman 1.8.0-1.el7)

Richard.

#6 - 05/13/2015 06:13 AM - Dominic Cleal

- Status changed from Duplicate to New

Fair enough, reopened.  #9194 only adds a per-item drilldown I think.

#7 - 03/02/2016 09:59 AM - Richard Osborne

Just wondering if this feature might be considered for inclusion in a near term release?  It would be really helpful for us to view these long facts in

Foreman.

Files

foreman_9336_current_fact_display.PNG 252 KB 05/13/2015 Richard Osborne

foreman_9336_desired_fact_display.PNG 40.1 KB 05/13/2015 Richard Osborne
